Subject: Re: bug#19756: connection issues lead to cryptic backtrace
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Cc: [email-masked]
Date: Sat, 07 Feb 2015 23:18:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] skribis:

> I tried to use guix when I had connection issues and I wasn't aware of
> that, I got really wild traceback. It took me a while until I realized
> that connection problems may be the issue.
>
> Please, make the error message for connection problems readable for
> humans.

[...]

> In guix/scripts/substitute-binary.scm:
> 766: 5 [#<procedure 1f00060 at guix/scripts/substitute-binary.scm:677:3 ()>]
> In guix/serialization.scm:
> 329: 4 [restore "/gnu/store/r8zya664v53f560qbw8caxbwla2dv2zk-libxcb-1.11"]
> 329: 3 [restore "/gnu/store/r8zya664v53f560qbw8caxbwla2dv2zk-libxcb-1.11/lib"]
> 299: 2 [restore "/gnu/store/r8zya664v53f560qbw8caxbwla2dv2zk-libxcb-1.11/lib/libxcb-xfixes.a"]
>  94: 1 [read-string #<input: #{read pipe}# 12>]
>  66: 0 [read-int #<input: #{read pipe}# 12>]
>
> guix/serialization.scm:66:4: In procedure read-int:
> guix/serialization.scm:66:4: In procedure bv-u32-ref: Wrong type argument in position 1 (expecting bytevector): #<eof>

This is terrible.

This happens when the connection to hydra.gnu.org is lost in the middle
of a transfer, which should normally be rare...

Commit 46b8aad fixes that.

Thanks,
Ludo’.